--------------------------------------
-- UT+Quake Sounds Script by CrawiS --
--------------------------------------

function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

if sfx==nil then sfx={} end
sfx.ut={}

iquake=true
sfx.ut.timer=initArray(32)
sfx.ut.level=initArray(32)
sfx.ut.fblood=0


addhook("startround","sfx.ut.startround")
function sfx.ut.startround()
if iquake then
local start=math.random(1,4)
if start==1 then
	parse("sv_sound \"utsfx/play.wav\"")
elseif start==2 then
	parse("sv_sound \"utsfx/prepare.wav\"")
elseif start==3 or start==4 then
	parse("sv_sound \"utsfx/prepare_ultimate.wav\"")
end
	sfx.ut.fblood=0
end
end


addhook("kill","sfx.ut.kill")
function sfx.ut.kill(killer,victim,weapon)
if iquake then
local i=math.random(1,2)
local gmode = tonumber(game("sv_gamemode"))
	if (os.clock()-sfx.ut.timer[killer])>3 then
		sfx.ut.level[killer]=0;
	end
	if (gmode==0) or (gmode==2) or (gmode==3) or (gmode==4)then
	if player(killer,"team") == player(victim,"team") then
		sfx.ut.level[killer]=0;
		parse("sv_sound2 "..killer.." \"utsfx/finishim.wav\"")		
		end
	end
	level=sfx.ut.level[killer]
	level=level+1
	sfx.ut.level[killer]=level
	sfx.ut.timer[killer]=os.clock()

	if (sfx.ut.fblood==0) then
		sfx.ut.fblood=1
		msg("200000000"..player(killer,"name").. " sheds FIRST BLOOD by killing! @C")
	if i==1 then
	parse("sv_sound \"utsfx/firstblood.wav\"")
	elseif i==2 then
	parse("sv_sound \"utsfx/firstblood2.wav\"")
	end
end

	if (weapon==50) then
		if i==1 then
		parse("sv_sound \"utsfx/humiliation.wav\"")
		msg2(killer,"120140160You have humiliated to "..player(victim,"name").."! @C")
		msg("120140160 [UT] "..player(killer,"name").. " humiliated "..player(victim,"name").."")
		elseif i==2 then
		parse("sv_sound \"utsfx/fatality.wav\"")
		msg2(killer,"120140160You have fatality to "..player(victim,"name").."! @C")
		msg("120140160 [UT] "..player(killer,"name").. " wiped with a fatality to "..player(victim,"name").."")
		end
		parse("setscore "..killer.." "..player(killer,"score").."+1")
	end

	if (weapon==34) or (weapon==35) then
	if math.random(1,6)==3 then
	
		if i==1 then
		parse("sv_sound \"utsfx/eagleeye.wav\"")
		msg2(killer,"255255255You have eagleeye to kill "..player(victim,"name").." with sniper! @C")
		msg("255255255 [UT] "..player(killer,"name").. " have eagleeye to kill "..player(victim,"name").."")
		elseif i==2 then
		parse("sv_sound \"utsfx/impressive.wav\"")
		msg2(killer,"255255255IMPRESSIVE "..player(killer,"name").."! @C")
		msg("255255255 [UT] "..player(killer,"name").. " is impressive to kill to "..player(victim,"name").."")
		end
		parse("setscore "..killer.." "..player(killer,"score").."+1")
		end
	end

	if (weapon==85 or weapon==74) then

		parse("sv_sound \"utsfx/combowhore.wav\"")
		msg2(killer,"000240240Combowhore! @C")
		msg("000240240 [UT] "..player(killer,"name").. " Combowhore!")
		parse("setscore "..killer.." "..player(killer,"score").."+1")
	end

	if (gmode==0) or (gmode==2) or (gmode==3) or (gmode==4)then
	if player(killer,"team") == player(victim,"team") then

		parse("sv_sound \"utsfx/teamkiller.wav\"")
		msg2(killer,"231100128You have killed an Ally! @C")
		msg("231100128 [UT] "..player(killer,"name").. " teamkiller "..player(victim,"name").."")
		parse("setscore "..killer.." "..player(killer,"score").."-1")
		end
	end

	if (weapon==51) then
	local i2=math.random(1,3)
		if i2==1 then
		parse("sv_sound \"utsfx/perfect.wav\"")
		msg2(killer,"160000000PERFECT! @C")
		msg("160000000"..player(killer,"name").. " Perfect!")
		elseif i2==2 then
		parse("sv_sound \"utsfx/excellent.wav\"")
		msg2(killer,"160000000EXCELLENT! @C")
		msg("160000000"..player(killer,"name").. " Excellent!")
		elseif i2==3 then
		parse("sv_sound \"utsfx/brutality.wav\"")
		msg2(killer,"160000000BRUTALITY! @C")
		msg("160000000"..player(killer,"name").. " Brutality!")
		end
		parse("setscore "..killer.." "..player(killer,"score").."+1")
	else
		if (level==1) then
		elseif (level==2) then
		if i==1 then
			parse("sv_sound \"utsfx/doublekill.wav\"")
		elseif i==2 then
			parse("sv_sound \"utsfx/doublekill2.wav\"")
		end
			msg2(killer,"000000220Doublekill! @C")
			msg("000000220 [UT] "..player(killer,"name").. " made a Doublekill!")
		elseif (level==3) then
		if i==1 then
			parse("sv_sound \"utsfx/triplekill.wav\"")
		elseif i==2 then
			parse("sv_sound \"utsfx/triplekill2.wav\"")
		end
			msg2(killer,"000200000Triplekill! @C")
			msg("000200000 [UT] "..player(killer,"name").. " made a Triplekill!")
		elseif (level==4) then
			parse("sv_sound \"utsfx/rampage.wav\"")
			msg2(killer,"110130150You made a Rampage! @C")
			msg("110130150 [UT] "..player(killer,"name").. " made a Rampage!")
		elseif (level==5) then
		if i==1 then
			parse("sv_sound \"utsfx/killingspree.wav\"")
			msg2(killer,"231084128Killingspree! @C")
			msg("231084128 [UT] "..player(killer,"name").. " made a Killingspree!")
		elseif i==2 then
			parse("sv_sound \"utsfx/multikill.wav\"")
			msg2(killer,"250120000Multikill! @C")
			msg("250120000 [UT] "..player(killer,"name").. " made a Multikill!")
		end
		elseif (level==6) then
			parse("sv_sound \"utsfx/megakill.wav\"")
			msg2(killer,"250080000MEGAKILL! @C")
			msg("250080000 [UT] "..player(killer,"name").. " made a MEGAKILL!")
		elseif (level==7) then
			parse("sv_sound \"utsfx/ultrakill.wav\"")
			msg2(killer,"250020000ULTRAKILL! @C")
			msg("250020000 [UT] "..player(killer,"name").. " made a ULTRAKILL!")
		elseif (level==8) then
			parse("sv_sound \"utsfx/monsterkill.wav\"")
			msg2(killer,"000240000MONSTERKILL! @C")
			msg("000240000 [UT] "..player(killer,"name").. " made a MO-O-O-O-ONSTERKILL-ILL-ILL!")
		elseif (level==9) then
			parse("sv_sound \"utsfx/ludicrouskill.wav\"")
			msg2(killer,"215080160Ludicrouskill! @C")
			msg("215080160 [UT] "..player(killer,"name").. " Ludicrouskill!")
		elseif (level==10) then
			parse("sv_sound \"utsfx/wickedsick.wav\"")
			msg2(killer,"215100120Wickedsick! @C")
			msg("215100120 [UT] "..player(killer,"name").. " Wickedsick!")
		elseif (level==11) then
			parse("sv_sound \"utsfx/hattrick.wav\"")
			msg2(killer,"220000220Hattrick! @C")
			msg("220000220 [UT] "..player(killer,"name").. " Hattrick!")
		elseif (level==12) then
			parse("sv_sound \"utsfx/holyshit.wav\"")
			msg2(killer,"120060120Holyshit! @C")
			msg("120060120 [UT] "..player(killer,"name").. " Holyshit!")
		elseif (level==13) then
			if i==1 then
			parse("sv_sound \"utsfx/godlike.wav\"")
		elseif i==2 then
			parse("sv_sound \"utsfx/godlike2.wav\"")
		end
			msg2(killer,"040120200GODLIKE! @C")
			msg("040120200 [UT] "..player(killer,"name").. " GODLIKE!")
		elseif (level==14) then
			parse("sv_sound \"utsfx/dominating.wav\"")
			msg2(killer,"080200255You're DOMINATING! @C")
			msg("080200255 [UT] "..player(killer,"name").. " is dominating!")
		else
			if i==1 then
			parse("sv_sound \"utsfx/unstoppable.wav\"")
			elseif i==2 then
			parse("sv_sound \"utsfx/unstoppable2.wav\"")
			end
			msg("000000255"..player(killer,"name").. " is UNSTOPPABLE! "..level.." KILLS! @C")
			end
		end
	end
end

addhook("say","sfx.ut.say")
function sfx.ut.say(id,tx)
if (tx=="!utsfx") or (tx=="!quakesfx") then
	if player(id,"rcon") or player(id,"ip")=="0.0.0.0" then
		if iquake then
		 iquake=false
		 msg("255060060 [i] UT/Quake SFX disactivated by Admin")
		 return 1
		else
		 iquake=true
		 msg("100240100 [i] UT/Quake SFX activated by Admin")
		 return 1
		end
	else
		msg2(id,"255000000You're not an ADMIN/RCON, you can't use this command")
		return 1
	end
end
end
	